Ler mensagens não lidas na conversa
curl --request POST \
--url https://{host}/api/{session}/chats/{chatId}/messages/read \
--header 'apikey: <api-key>'import requests
url = "https://{host}/api/{session}/chats/{chatId}/messages/read"
headers = {"apikey": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {apikey: '<api-key>'}};
fetch('https://{host}/api/{session}/chats/{chatId}/messages/read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ids": [
"<string>"
]
}Conversas
Marcar como Lido
O parâmetro deve ser o instanceName da sessão.
POST
/
api
/
{session}
/
chats
/
{chatId}
/
messages
/
read
Ler mensagens não lidas na conversa
Authorizations
Sua chave de API do Wappfy (obtenha em dash.wappfy.com.br)
Path Parameters
Nome da sessão (instanceName)
ID da Conversa
Query Parameters
Quantas mensagens ler (mais recentes primeiro) (How much messages to read (latest first))
Quantos dias ler (mais recentes primeiro) (How much days to read (latest first))
Response
201 - application/json
Messages IDs that have been read
⌘I
